body {
    background-image: url("imgs/about_bg2.png");
    background-size: cover;
    background-repeat: no-repeat;
    /*font: 40px Arial;*/
}

.container {
    display: flex;
    height: 10vh;
    align-items: center;
    overflow: hidden;
    margin-top: 50px;
}

h2{
    display: flex;
    font-size: 60px;
    color: white;
    text-align: center;
}
h4{
    display: flex;
    font-size: 40px;
    color: white;
    margin-left: 200px;
    text-align: center;
}
h2 span{
    transition: 2s;
}
h4 span{
    transition: 2s;
}

h2:hover span{
    filter: blur(20px);
    opacity:0;
    transform:scale(2);
}
h4:hover span{
    filter: blur(20px);
    opacity:0;
    transform:scale(2);
}

h2 span:nth-child(1){transition-delay: 0.1s;}
h2 span:nth-child(2){transition-delay: 0.2s;}
h2 span:nth-child(3){transition-delay: 0.3s;}
h2 span:nth-child(4){transition-delay: 0.4s;}
h2 span:nth-child(5){transition-delay: 0.5s;}
h2 span:nth-child(6){transition-delay: 0.6s;}
h2 span:nth-child(7){transition-delay: 0.7s;}
h2 span:nth-child(8){transition-delay: 0.8s;}
h2 span:nth-child(9){transition-delay: 0.9s;}

h4 span:nth-child(1){transition-delay: 0.1s;}
h4 span:nth-child(2){transition-delay: 0.2s;}
h4 span:nth-child(3){transition-delay: 0.3s;}
h4 span:nth-child(4){transition-delay: 0.4s;}
h4 span:nth-child(5){transition-delay: 0.5s;}
h4 span:nth-child(6){transition-delay: 0.6s;}
h4 span:nth-child(7){transition-delay: 0.7s;}
h4 span:nth-child(8){transition-delay: 0.8s;}

header > img {
    border-radius: 100px;
    margin-left: 40px;
    margin-right: 40px;
    float: left;
}

nav {
    display: flex;
    gap: 20px;
    margin: 30px 200px;
    padding: 5px;
}

a {
    text-decoration: none;
    font-size: 20px;
    cursor: pointer;
    color: honeydew;
}

a:hover {
    color: rosybrown;
}

section {
    font: 24px Arial;
    /*font-weight: bold;*/
    color: white;
    text-align: left;
    /*padding: 10px;*/
    line-height: 2em;
}
#project{
    font: 24px Arial;
    color: white;
    text-align: left;
    line-height: 2em;
}

.subhead {
    font: 20px Arial;
    margin-left: 200px;
    color: white;
    margin-bottom: 5px;
}

#text {
    font-size: 20px;
    margin-left: 100px;
    /*margin-top: 200px;*/
    padding-right: 20px;
    color: rosybrown;
}

main ol {
    line-height: 2em;
}

label {
    display: inline-block;
    color: white;
    width: 50px;
    font-size: 30px;
    text-align: right;
    margin-right: 50px;
    margin-left: 20px;
}

input[type = text], input[type=email] {
    box-sizing: border-box;
    width: 250px;
    height: 100px;
    padding: 20px;
    border: 1px solid #aaa;
    border-radius: 4px;
}

input[type=submit] {
    width: 60px;
    height: 20px;
    background-color: #BBC8DE;
    color: brown;
    padding: 5px;
    margin-left: 230px;
    margin-bottom: 50px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    font-size: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

input[type=submit]:hover {
    background-color: #07d;
}

textarea {
    display: inline-block;
    box-sizing: border-box;
    width: 300px;
    height: 80px;
    border: 1px solid #aaa;
    border-radius: 4px;
    margin-left: 10px;
}

.messages {
    float: left;
    font-size: 20px;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 50px;
}

.copyright {
    font: 15px Arial;
    color: gray;
    padding: 20px;
    text-align: center;
}

.linkin-icon::before {
    content: url("imgs/linkin_icon.png");
    display: inline-block;
    width: 10px;
    height: 10px;
    vertical-align: middle;
    margin-left: 150px;
    margin-right: 80px;
    background-size: cover;
}

.mail-icon::before {
    content: url("imgs/mail_icon.png");
    display: inline-block;
    width: 10px;
    height: 10px;
    vertical-align: middle;
    margin-right: 80px;
    background-size: cover; /* Ensures the image covers the entire area without distortion */
}

.github-icon::before {
    content: url("imgs/github_icon1.png");
    display: inline-block;
    width: 10px;
    height: 10px;
    vertical-align: middle;
    margin-right: 50px;
    background-size: cover; /* Ensures the image covers the entire area without distortion */
}
